import { ComponentType, ComponentClass, VNode } from 'inferno'
import { Handler, ErrorHandler, PushEvent } from './baseTypes'
import { Aperture } from './observable'
export interface State {
    replace?: boolean
    props: object
    renderEffect: boolean
    children: VNode | null
}
export declare const withEffects: <P, E, CP = P>(
    handler: Handler<P, E, any>,
    errorHandler?: ErrorHandler<P, any>
) => (
    aperture: Aperture<P, E, any>
) => (
    BaseComponent?: ComponentType<
        CP & {
            pushEvent: PushEvent
        }
    >
) => ComponentClass<P, {}>
